Skip to main content
PUT
Update webhook settings

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The ID of the target app.

Body

application/json

New webhook settings to configure for the app, or updated settings to replace existing configuration.

New or updated webhook settings for an app.

targetUrl
string
required

A publicly available URL for HubSpot to call where event payloads will be delivered. This URL must be accessible to receive event notifications.

throttling
object
required

Configuration details for webhook throttling.

Response

successful operation

Webhook settings for an app.

createdAt
string<date-time>
required

When this subscription was created, formatted as a date-time string.

targetUrl
string
required

A publicly available URL for HubSpot to call where event payloads will be delivered.

throttling
object
required

Configuration details for webhook throttling.

updatedAt
string<date-time>

When this subscription was last updated, formatted as a date-time string.

Last modified on March 30, 2026